import { ClassType } from '@loafer/core/constants';
import getClassMetadata from '@loafer/core/util/metadata/getClassMetadata';

import { POUCH_INJECT_DEFINITION } from '@loafer/pouches/constants';
import InjectDefinition from '@loafer/pouches/definition/InjectDefinition';

export const getInjectDefinition =
  (clazz: ClassType, isCreate: boolean = false) =>
    getClassMetadata(clazz, POUCH_INJECT_DEFINITION, InjectDefinition, isCreate);
