import AppContext from '@loafer/context/AppContext';
import DefaultAppContext from '@loafer/context/implement/DefaultAppContext';

let _appContext: AppContext = undefined;

const GetAppContext = (): AppContext => {
  if (undefined === _appContext) {
    _appContext = new DefaultAppContext();
  }
  return _appContext;
};

export default GetAppContext;
